Unsubscribe a Recipient
Audiences/Recipient lists / Recipient lists
Unsubscribe a Recipient
Description
Unsubscribe a recipient by its url hash where
unsubscribeUrlHash value in url is the unsubscribeUrlHash for the campaign recipient that wants to unsubscribe.
Validations
- If
unsubscribeUrlHashis not present an error with 400 status code will be returned. - If the
captchaValueis not present in request body it will return an error with 400 status code. - If campaign recipient is not found it will return an error with 404 status code.
Response
No response with a 204 status.
Body
The body for the request is an object that contains the properties captchaValue that is the token generated by google recaptcha.
POST
Unsubscribe a Recipient
Description
Unsubscribe a recipient by its url hash whereunsubscribeUrlHash value in url is the unsubscribeUrlHash for the campaign recipient that wants to unsubscribe.
Validations
- If
unsubscribeUrlHashis not present an error with 400 status code will be returned. - If the
captchaValueis not present in request body it will return an error with 400 status code. - If campaign recipient is not found it will return an error with 404 status code.
Response
No response with a 204 status.Body
The body for the request is an object that contains the propertiescaptchaValue that is the token generated by google recaptcha.